Qt Reference Documentation

# QHelpSearchResultWidget Class Reference

The QHelpSearchResultWidget class provides either a tree widget or a text browser depending on the used search engine to display the hits found by the search. More...

     #include <QHelpSearchResultWidget>

Inherits: QWidget.

This class was introduced in Qt 4.4.

- List of all members, including inherited members

## Public Functions

| ~QHelpSearchResultWidget ()
QUrl | linkAt ( const QPoint & point )

- 221 public functions inherited from QWidget
- 29 public functions inherited from QObject
- 13 public functions inherited from QPaintDevice

## Signals

void | requestShowLink ( const QUrl & link )

- 1 signal inherited from QWidget
- 1 signal inherited from QObject

### Additional Inherited Members

- 58 properties inherited from QWidget
- 1 property inherited from QObject
- 19 public slots inherited from QWidget
- 1 public slot inherited from QObject
- 4 static public members inherited from QWidget
- 7 static public members inherited from QObject
- 37 protected functions inherited from QWidget
- 8 protected functions inherited from QObject
- 1 protected function inherited from QPaintDevice
- 1 protected slot inherited from QWidget

## Detailed Description

The QHelpSearchResultWidget class provides either a tree widget or a text browser depending on the used search engine to display the hits found by the search.

## Member Function Documentation

### QHelpSearchResultWidget::~QHelpSearchResultWidget ()

Destroys the search result widget.

### QUrl QHelpSearchResultWidget::linkAt ( const QPoint & point )

Returns a reference of the URL that the item at point owns, or an empty URL if no item exists at that point.

### void QHelpSearchResultWidget::requestShowLink ( const QUrl & link )`[signal]`

This signal is emitted when a item is activated and its associated link should be shown.